Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class GenLayerRiverMix

    java.lang.Object
      net.minecraft.src.GenLayer
          net.minecraft.src.GenLayerRiverMix

    public class GenLayerRiverMix

extends GenLayer

Constructor Summary
`GenLayerRiverMix(long par1, GenLayer par3GenLayer, GenLayer par4GenLayer)`

Method Summary
`int[]` | `getInts(int par1, int par2, int par3, int par4)` Returns a list of integer values generated by this layer.
`void` | `initWorldGenSeed(long par1)` Initialize layer's local worldGenSeed based on its own baseSeed and the world's global seed (passed in as an argument).

Methods inherited from class net.minecraft.src.GenLayer
`initChunkSeed, initializeAllBiomeGenerators`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenLayerRiverMix

    public GenLayerRiverMix(long par1,
                            GenLayer par3GenLayer,
                            GenLayer par4GenLayer)

Method Detail

### initWorldGenSeed

    public void initWorldGenSeed(long par1)

  Initialize layer's local worldGenSeed based on its own baseSeed and the world's global seed (passed in as an argument).

  Overrides:
    `initWorldGenSeed` in class `GenLayer`

### getInts

    public int[] getInts(int par1,
                         int par2,
                         int par3,
                         int par4)

  Returns a list of integer values generated by this layer. These may be interpreted as temperatures, rainfall amounts, or biomeList[] indices based on the particular GenLayer subclass.

  Specified by:
    `getInts` in class `GenLayer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD